# Ledger

## Get Ledger

<mark style="color:blue;">`GET`</mark> `https://api.vaultoro.com/v1/private/ledger`

#### Query Parameters

| Name   | Type   | Description                                    |
| ------ | ------ | ---------------------------------------------- |
| handle | string | Filter results by a handle, BTC, DASH or GOLD. |
| limit  | number | Limit the number of results.                   |
| page   | number | Return a specific page.                        |
| since  | string | Unix timestamp to filter the results since.    |
| until  | string | Unix timestamp to filter the results until.    |

#### Headers

| Name   | Type   | Description     |
| ------ | ------ | --------------- |
| VTOKEN | string | Your API Token. |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": [
        {
            "foreignID": "fad6k2jdkgi5aqfi",
            "referenceId": "LULfmV77Wgw88z6yjiAHzC",
            "typeHandle": "TRANSFER",
            "sourceReferenceId": "uJuLUhsAoAQdicbzrcDfud",
            "handle": "BTC",
            "value": "1.00000000",
            "runningTotal": "4.00000000",
            "createdAt": 1615820879
        },
        {
            "foreignID": "fad6k2jdkgi5aqfi",
            "referenceId": "MtPBTvs6Q3akuwNwBTopY7",
            "typeHandle": "TRANSFER",
            "sourceReferenceId": "bLNR5iSftz6RRCSATTaE4c",
            "handle": "BTC",
            "value": "1.00000000",
            "runningTotal": "3.00000000",
            "createdAt": 1615820854
        },
        {
            "foreignID": "fad6k2jdkgi5aqfi",
            "referenceId": "e7YF5UYNKhnXVRdFCQ9ZJB",
            "typeHandle": "TRANSFER",
            "sourceReferenceId": "KBDgpNXqYiWvg4PBZKM3fn",
            "handle": "BTC",
            "value": "1.00000000",
            "runningTotal": "2.00000000",
            "createdAt": 1615820734
        },
        {
            "foreignID": "fad6k2jdkgi5aqfi",
            "referenceId": "vAP3uKkQdfQQD4zS5UdK8F",
            "typeHandle": "TRANSFER",
            "sourceReferenceId": "ojPx9AhVk6asECGvT6PPem",
            "handle": "BTC",
            "value": "1.00000000",
            "runningTotal": "1.00000000",
            "createdAt": 1615820653
        }
    ],
    "pagination": {
        "limit": 50,
        "page": 1,
        "count": 4
    }
}
```

{% endtab %}
{% endtabs %}

## Get Daily Ledger

<mark style="color:blue;">`GET`</mark> `https://api.vaultoro.com/v1/private/ledger/daily`

#### Query Parameters

| Name   | Type   | Description                                    |
| ------ | ------ | ---------------------------------------------- |
| handle | string | Filter results by a handle, BTC, DASH or GOLD. |
| since  | string | Unix timestamp to filter the results since.    |

#### Headers

| Name   | Type   | Description     |
| ------ | ------ | --------------- |
| VTOKEN | string | Your API Token. |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.vaultoro.com/ledger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
